package cn.fastfun.controller.api;

import cn.fastfun.controller.dto.asset.BaseInfoDTO;
import cn.fastfun.controller.dto.asset.RentInfoDTO;
import cn.fastfun.controller.param.*;
import cn.fastfun.service.impl.AppAssetProfitServiceImpl;
import com.bridge.dto.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author Bridge AutoGen
 */
@Slf4j
@Api(tags = {"2.0 资产收益分析"})
@RestController
@RequestMapping("/api/v1/appassetprofit")
public class ApiAssetProfitController {

    @Autowired
    AppAssetProfitServiceImpl appAssetService;

    @ApiOperation(value = "基础信息")
    @RequestMapping(value = "getBaseInfo", method = RequestMethod.POST)
    public ApiDTO getBaseInfo(@RequestBody @ApiParam(name = "设备信息对象", value = "传入json格式", required = true) AssetProfitParam param) throws Exception {



        BaseInfoDTO baseInfo = appAssetService.getBaseInfo(param);
        return ApiDTO.ok("成功", baseInfo);
    }

    @ApiOperation(value = "其他信息")
    @RequestMapping(value = "getProfitInfo", method = RequestMethod.POST)
    public ApiDTO getAssetProfitInfo(@RequestBody @ApiParam(name = "设备信息对象", value = "传入json格式", required = true) AssetProfitParam param) {

        // 租赁信息
        Object response = null;
        if (param.getTableOrder() != null && param.getTableOrder().equals(1)){
            RentInfoDTO rentInfoDTO = appAssetService.getRentInfo(param.getSn(), param.getTimeStart().toString(), param.getTimeEnd().toString(), param.getLength(), param.getIndex());
            response = (RentInfoDTO) rentInfoDTO;
        }

        return ApiDTO.ok("成功", response);
    }





}